Subject: Re: [TR] TR4A interior trim panels

From: Benjamin Zwissler <[email-masked]>
Date: Thu, 7 Nov 2013 16:00:13 -0500

My bright red TR4A panels from TRF fit that description though they're now
20 years old.   I have no complaints about the TRF panels.
They're indistinguishable from the construction of the originals as far as
I can tell.  Some of the repros have stiched seams which is not what the
originals were and they don't look as good IMHO.  All the panels I've seen
from the other vendors were also made of vinyl and fiberboard.

Ben.......

> Date: Wed, 6 Nov 2013 19:19:16 -0500
> From: [email-masked]
> To: "[email-masked]" <[email-masked]>
> Subject: [TR] TR4A interior trim panels
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
>
> Hello List,
>
> I am just starting chassis reassembly on a body off restoration of my 1965
> TR4A.  I won't need interior trim panels for a few months, but noticed what
> looks like a significant savings on a trim panel kit on sale from TRF.  The
> seams are heat welded, the door panels are constructed of fiberboard and
> the
> covering is vinyl.  Not sure if these are big drawbacks or not.  I would
> appreciate comments from anyone with experience/knowledge of this product.
> Thanks in advance.
>
> John DeLuca
>
> Sent from my iPad

** [email-masked] **

Archive: http://www.team.net/archive